Bug 1733714 - osp15 composable roles overcloiud deployment fails when database and messaging nodes use PacemakerRemote service
Summary: osp15 composable roles overcloiud deployment fails when database and messagi...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: puppet-pacemaker
Version: 15.0 (Stein)
Hardware: All
OS: Linux
high
high
Target Milestone: ---
: ---
Assignee: Michele Baldessari
QA Contact: pkomarov
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-07-27 21:16 UTC by pkomarov
Modified: 2019-10-25 10:43 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-10-25 10:43:30 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1838279 None None None 2019-07-29 15:12:45 UTC
OpenStack gerrit 675139 None None None 2019-08-07 16:28:27 UTC

Description pkomarov 2019-07-27 21:16:03 UTC
Description of problem:
osp15 composable roles overcloiud deployment fails when database  and messaging nodes use PacemakerRemote service 

from overcloud_install.log: 

        "Running container: rabbitmq_restart_bundle",

        "stderr: error checking path \"/etc/corosync/corosync.conf\": stat /etc/corosync/corosync.conf: no such file or directory",


Version-Release number of selected component (if applicable):
osp15, RHOS_TRUNK-15.0-RHEL-8-20190722.n.1

How reproducible:
100%


Steps to Reproduce:

try 3cont_3data_3mess_1comp deployment with change to: 
-r roles-data.yaml: 
change the Database and Messaging roles's services as the following : 
    - OS::TripleO::Services::Pacemaker -> 
    - OS::TripleO::Services::PacemakerRemote

Additional info:
logs and files are at : 

https://rhos-ci-staging-jenkins.rhev-ci-vms.eng.rdu2.redhat.com/view/DFG/view/pidone/view/features/job/DFG-pidone-features-15_director-rhel-virthost-3cont_3data_3mess_1comp-ipv4-geneve-composable_roles_pacemaker_remote/6/artifact/


Note You need to log in before you can comment on or make changes to this bug.